Perform Batch Operations - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PATCH
/v2.0/playbooks
Try it
Perform Batch Operations
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/playbooks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"operations": [\
{\
"op": "delete",\
"id": "<string>"\
}\
]
}
'```
**Python**
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/playbooks"
payload = { "operations": [\
{\
"op": "delete",\
"id": "<string>"\
}\
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({operations: [{op: 'delete', id: '<string>'}]})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PATCH",\
CURLOPT_POSTFIELDS => json_encode([\
'operations' => [\
[\
'op' => 'delete',\
'id' => '<string>'\
]\
]\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Response Codes
200: Batch operations successfully performed.
400: Bad Request
401: Unauthorized
402: Payment Required
403: Forbidden
404: Not Found
405: Method Not Allowed
409: Conflict
413: Payload Too Large
500: Internal Server Error
501: Not Implemented
502: Bad Gateway
503: Service Unavailable
504: Gateway Timeout
Example Response
{
"created": [\
"<string>"\
],
"updated": [\
"<string>"\
],
"deleted": [\
"<string>"\
]
}
Authorization
X-API-Key
Type: string
Parameter Location: header
Required: Supply the API Key in the HTTP-Header.
Headers
Accept: enum
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Query Parameters
projectId: string
The unique identifier for the Project.
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Body
operations: object[]
- Option 1
- Option 2
- Option 3
Last modified on
July 8, 2026